@use './font.scss';

$mobile-width: 500px;
$tablet-width: 768px;
$desktop-width: 1024px;

$background-color: gainsboro;
$form-background-color: white;
$header-color: #f76a72;
$header-hover-color: purple;
$text-color: #49729a;
$header-fontsize: 35px;
$text-font: 25px;

@mixin mobile {
  @media (max-width: #{$mobile-width}) {
    @content;
  }
}
@mixin tablet {
  @media (min-width: #{$tablet-width}) and (max-width: #{$desktop-width - 1px}) {
    @content;
  }
}
@mixin desktop {
  @media (min-width: #{$desktop-width}) {
    @content;
  }
}
@mixin header-open {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
//   color: $normal-color;
}
@mixin header-open-transition {
  transform-origin: 0 0;
  transform: scaleX(0);
  transition: transform 0.5s cubic-bezier(0.5, 1.6, 0.4, 0.7);
  z-index: -1;
}
@mixin card-arrow-transition {
  transform: rotate(45deg);
  margin: 10px;
  color: $header-color;
  transition: all 0.35s;
}
@mixin card-content-transition {
  transform: scale(0);
  opacity: 0;
  transform-origin: 0 0;
  transition: all 0.5s ease-in-out;
}

html {
@include font.normal-color;
  text-align: center;
  .container {
    width: 500px;
    background-color: $form-background-color;
    font-family: "Baloo Da 2", cursive;
    box-shadow: inset 0 30px 0px -20px $header-color;
    &-content {
      display: flex;
      flex-direction: column;
      margin: 10px;
      text-align: left;
    }
    @include mobile {
      width: 100%;
      margin: 0px;
    }
  }
}

.header {
  font-size: $header-fontsize;
  font-weight: 800;
  color: $header-color;
  text-transform: uppercase;
  transition: color 3s;
  margin-top:14px;
  @debug "print terminal: #{$background-color}";
  
  &::before {
    @include header-open;
    @include header-open-transition;
  }
  &:hover {
    color: $header-hover-color;
    &::before {
      transform: scaleX(1);
    }
  }
}

.main {
  display: flex;
  flex-direction: column;
  .card {
    border-top: 1px solid rgba(27, 19, 19, 0.1);
    color: #49729a;
    width: 100%;
    &-header {
      display: flex;
      justify-content: space-between;
      background-color: $form-background-color;
      transition: all 1.3s linear;
    }
    &-item {
      color: $header-color;
      font-size: $text-font;
      cursor: pointer;
    }
    &-content {
      padding: 0;
      max-height: 0;
      transition: max-height 0.3s linear;
      p {
        position: relative;
        padding-bottom: 5px;
        margin: 0;
        @include card-content-transition;
      }
    }
  }
  label {
    overflow: hidden;
  }
  input {
    display: none;
    &:checked {
      + .card-header {
        + .card-content {
          max-height: 100%;
        }
        .card-arrow {
          transform: rotate(-135deg);
        }
        + .card-content {
          p {
            transform: scale(1);
            opacity: 1;
          }
        }
      }
    }
  }
}

.card-arrow {
  border-right: 2px solid;
  border-bottom: 2px solid;
  height: 4px;
  width: 4px;
  @include card-arrow-transition;
}
